// SpanFile.h: interface for the CSpanFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SPANFILE_H__19DC7856_E51B_45E0_B60A_F4C90CA5E331__INCLUDED_)
#define AFX_SPANFILE_H__19DC7856_E51B_45E0_B60A_F4C90CA5E331__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Span.h"
class CSpanFile  
{
protected:
	CFile File;
	DWORD Size;
	BYTE *Buffer;
	Span *FileSpan;
public:
	CSpanFile();
	void BuildOps(CSpanFile &file,CPatchOperation *oplist);
	void Load(CString fname);
	CString SpanReport(CSpanFile &file);
	void MapFiles(CSpanFile &file,DWORD MinSize=64);
	virtual ~CSpanFile();

};

#endif // !defined(AFX_SPANFILE_H__19DC7856_E51B_45E0_B60A_F4C90CA5E331__INCLUDED_)
